Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452592 - winbindd hangs, requiring SIGKILL to stop
Summary: winbindd hangs, requiring SIGKILL to stop
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 22:38 UTC by hawke
Modified: 2014-06-16 11:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:32:07 UTC


Attachments (Terms of Use)

Description hawke 2008-06-23 22:38:05 UTC
Description of problem:


Version-Release number of selected component (if applicable):
samba-winbind-3.2.0-1.rc1.15.fc9.x86_64


How reproducible:

Very.

Steps to Reproduce:
1. Install fedora
2. Use authconfig-gtk to enable winbind auth and join a Windows domain.
3. Log in as a domain user.
4. run 'id' as the domain user.
  
Actual results:
winbindd hangs, requiring a SIGKILL to stop.  After doing so, 'id' returns with
a partial list of group names, and a partial list of group IDs.  At this point,
running 'id' again will return a list containing more group names but still a
couple of group IDs only.

Expected results:

winbind doesn't hang at all.  'id' gets a name for every group.

Additional info:

Comment 1 Nils Philippsen 2008-10-13 15:14:52 UTC
Same here:

[root@ls3313 ~]# rpm -qa samba\*
samba-3.2.4-0.21.fc9.i386
samba-winbind-devel-3.2.4-0.21.fc9.i386
samba-domainjoin-gui-3.2.4-0.21.fc9.i386
samba-swat-3.2.4-0.21.fc9.i386
samba-client-3.2.4-0.21.fc9.i386
samba-common-3.2.4-0.21.fc9.i386
samba-doc-3.2.4-0.21.fc9.i386
samba-winbind-3.2.4-0.21.fc9.i386

Before the "id" command, logging in via e.g. ssh woks, but afterwards logins just hang (I haven't checked whether they timeout after a while). I've ltraced the "id" command and it issues a number of getgrgid() calls which get dispatched to winbindd which takes very long to respond.

Do you need any other information?

Comment 2 Helge Deller 2008-12-04 17:27:48 UTC
First tests with oprofile show:
   558817 95.5222 winbindd
        GLOBAL_POWER_E...|
          samples|      %|
        ------------------
           404481 72.3817 winbindd
           153504 27.4695 libc-2.9.so
              356  0.0637 libtalloc.so.1
              168  0.0301 libtdb.so.1
              127  0.0227 liblber-2.4.so.2.2.0
              101  0.0181 [vdso] (tgid:20029 range:0x130000-0x131000)
               29  0.0052 libldap-2.4.so.2.2.0
               20  0.0036 libkrb5.so.3.3
               10  0.0018 ld-2.9.so
                9  0.0016 libk5crypto.so.3.1
                4 7.2e-04 libpthread-2.9.so
                3 5.4e-04 [vdso] (tgid:20031 range:0x130000-0x131000)
                2 3.6e-04 libresolv-2.9.so
                1 1.8e-04 [vdso] (tgid:20191 range:0x130000-0x131000)
                1 1.8e-04 libgssapi_krb5.so.2.2
                1 1.8e-04 libkrb5support.so.0.1

but as long as opreport is broken (see Bug 467651) we can't get more details.

Comment 3 Helge Deller 2008-12-05 13:08:11 UTC
oops... last comment #2 belonged to bug 464474...

Comment 4 Bug Zapper 2009-06-10 01:44:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 16:32:07 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.